Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::FunctionSlot3< R, P1, P2, P3 > Class Template Reference

A slot template for static functions taking three arguments of type P1, P2 and P3, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::FunctionSlot3< R, P1, P2, P3 >:

List of all members.

## Public Member Functions

- FunctionSlot3 (PF function)
    Construct a new function slot for a static function.
- virtual R call (P1 p1, P2 p2, P3 p3) const
    Calls the function connected to this slot passing it arguments p1, p2 and p3.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3>
class Inti::FunctionSlot3< R, P1, P2, P3 >

A slot template for static functions taking three arguments of type P1, P2 and P3, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3>
Inti::FunctionSlot3< R, P1, P2, P3 >::FunctionSlot3 | ( | PF | function | ) | `[inline]`

Construct a new function slot for a static function.

Parameters:

  function | Static function with the signature R (*PF)(P1, P2, P3).

## Member Function Documentation

template<typename R, typename P1, typename P2, typename P3>
virtual R Inti::FunctionSlot3< R, P1, P2, P3 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) | const`[inline, virtual]`

Calls the function connected to this slot passing it arguments p1, p2 and p3.

Returns:
  A value of type R returned by the called function.

Implements Inti::Slot3< R, P1, P2, P3 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer